aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-hc2vpp-integration-odl.sh
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2017-07-13 11:45:10 +0200
committerTibor Frank <tifrank@cisco.com>2017-07-25 10:38:35 +0000
commitdbd18f0609e3f221aaab50b580f33ad61f0da181 (patch)
tree9e06b27cb76d3b322f13b93f24640f804b43f0cf /bootstrap-hc2vpp-integration-odl.sh
parent5337e592d0a6567ce3fd3866d4ef9a15446a4735 (diff)
HC Test: Update archive items path in csit-hc2vpp jobs
merge after https://gerrit.fd.io/r/7314 Change-Id: I36d10bc7fd3c720eaf75a427b691d516a7399ea0 Signed-off-by: selias <samelias@cisco.com> (cherry picked from commit e6d3baeead965e36546efd4bb6d80f974b650d29)
Diffstat (limited to 'bootstrap-hc2vpp-integration-odl.sh')
-rwxr-xr-xbootstrap-hc2vpp-integration-odl.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bootstrap-hc2vpp-integration-odl.sh b/bootstrap-hc2vpp-integration-odl.sh
index fc7f732008..a7e7c5724b 100755
--- a/bootstrap-hc2vpp-integration-odl.sh
+++ b/bootstrap-hc2vpp-integration-odl.sh
@@ -29,6 +29,8 @@ VIRL_PKEY=priv_key
VIRL_SERVER_STATUS_FILE="status"
VIRL_SERVER_EXPECTED_STATUS="PRODUCTION"
+ARCHIVE_ARTIFACTS=(log.html output.xml report.html honeycomb.log)
+
STREAM=$1
OS=$2
ODL=$3
@@ -231,6 +233,16 @@ PYTHONPATH=`pwd` pybot -L TRACE -W 136\
--variable HC_ODL:${ODL} \
tests/
+RETURN_STATUS=$?
+
# Get Honeycomb log file from virl host
scp ${SSH_OPTIONS} \
${VIRL_USERNAME}@${VIRL_SERVER}:/scratch/${VIRL_SID}/honeycomb.log . || true
+
+# Archive artifacts
+mkdir archive
+for i in ${ARCHIVE_ARTIFACTS[@]}; do
+ cp $( readlink -f ${i} | tr '\n' ' ' ) archive/
+done
+
+exit ${RETURN_STATUS}